package cc.smtweb.system.bpm.web.sys.user.user;

import cc.smtweb.framework.core.annotation.SwTable;
import cc.smtweb.framework.core.db.impl.DefaultEntity;

/**
 * Created by 1 at 2022-07-28 15:24:49
 * 实体【[用户状态](SYS_USER_STATU)】的Entity类
 */
@SwTable("SYS_USER_STATU")
public class UserStatu extends DefaultEntity {
    public static final String ENTITY_NAME = "SYS_USER_STATU";

    public UserStatu() {
        super(ENTITY_NAME);
    }

    /**
     * 主键
     */
    public long getId() {
        return getLong("sus_id");
    }

    /**
     * 主键
     */
    public void setId(long sus_id) {
        put("sus_id", sus_id);
    }

    /**
     * 积分
     */
    public int getScore() {
        return getInt("sus_score");
    }

    /**
     * 积分
     */
    public void setScore(int sus_score) {
        put("sus_score", sus_score);
    }

    /**
     * 密码错误次数
     */
    public int getErrCount() {
        return getInt("sus_err_count");
    }

    /**
     * 密码错误次数
     */
    public void setErrCount(int sus_err_count) {
        put("sus_err_count", sus_err_count);
    }

    /**
     * 开始锁定时间
     */
    public long getLockTime() {
        return getLong("sus_lock_time");
    }

    /**
     * 开始锁定时间
     */
    public void setLockTime(long sus_lock_time) {
        put("sus_lock_time", sus_lock_time);
    }

    /**
     * 登录时间
     */
    public long getLoginTime() {
        return getLong("sus_login_time");
    }

    /**
     * 登录时间
     */
    public void setLoginTime(long sus_login_time) {
        put("sus_login_time", sus_login_time);
    }

    /**
     * 登录IP
     */
    public String getLoginIp() {
        return getStr("sus_login_ip");
    }

    /**
     * 登录IP
     */
    public void setLoginIp(String sus_login_ip) {
        put("sus_login_ip", sus_login_ip);
    }

    /**
     * 登录信息
     */
    public String getLoginInfo() {
        return getStr("sus_login_info");
    }

    /**
     * 登录信息
     */
    public void setLoginInfo(String sus_login_info) {
        put("sus_login_info", sus_login_info);
    }

    /**
     * 登录来源
     */
    public int getLoginType() {
        return getInt("sus_login_type");
    }

    /**
     * 登录来源
     */
    public void setLoginType(int sus_login_type) {
        put("sus_login_type", sus_login_type);
    }

    /**
     * 退出时间
     */
    public long getLogoutTime() {
        return getLong("sus_logout_time");
    }

    /**
     * 退出时间
     */
    public void setLogoutTime(long sus_logout_time) {
        put("sus_logout_time", sus_logout_time);
    }

    /**
     * 在线状态
     */
    public boolean isStatu() {
        return getBool("sus_statu");
    }

    /**
     * 在线状态
     */
    public void set(boolean sus_statu) {
        setBool("sus_statu", sus_statu);
    }
}
